1.2
1.2
post /v1/privatelink-endpoints
Description
Create PrivateLink Endpoint
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | PrivateLinkEndpointCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PrivateLinkEndpointShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/privatelink-endpoints
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = apigateway 1.2"
Request body
{
"description": "description",
"name": "endpoint",
"privatelink_service_id": "27bb070b564349f8a31cc60734cc36a5"
}
Example HTTP response
Response 200
{
"privatelink_endpoint": {
"created_at": "2024-05-17T00:23:17Z",
"description": "description",
"id": "27bb070b564349f8a31cc60734cc36a5",
"name": "endpoint",
"privatelink_service_id": "27bb070b564349f8a31cc60734cc36a5",
"status": "CANCELED"
}
}